Release 0.2

Posted: April 5, 2011 in SBR600

By now the process of building packages is pretty much second nature to me. The hard part lately has been finding the best way to get some of these difficult packages built or thinking about whether I should build them at all.
Some of these failed packages might not be necessary in an arm machine. Also, sometimes having to carefully exclude certain parts of a spec file, in order to get the package to build without breaking it. There has been a handful of packages that I’ve been looking at:

The flightGear: packages require the OpenSceneGraph package to be built first.
I’ve been looking into building the OpenSceneGraph package. which I explain further down..

OpenSceneGraph is an OpenSource, cross platform graphics toolkit for the
development of high performance graphics applications such as flight
simulators, games, virtual reality and scientific visualization.

Since building OpenSceneGraph for  the arm arch has been no easy task, I’ve been taking on other packages in order to have something else to look at.

So, i’ve started looking into the libvirt package which also has difficulties building.
libvirt is a virtualization management framework and toolkit.
libvirt seems to heavily rely on the qemu package as its dependancy, but im seeking advice on IRC and in person on how I should work around these dependencies.

Packages I am working on:

globus-xio-gsi-driver-0.6-5.fc13.src.rpm, armv5tel Never attempted–Needed for: globus-gridftp-server-control & globus-io-6.3-4.fc13.src.rpm ANDREW
FlightGear-Atlas-0.4.0-0.5.cvs20100226.fc13,armv5tel mock exited with status 10.– needs dependencies(SimGear-devel, OpenSceneGraph-devel) ANDREW — https://fedorahosted.org/arm/ticket/28
FlightGear-2.0.0-1.fc13.src.rpm,armv5tel mock exited with status 10.– needs dependencies(SimGear-devel, OpenSceneGraph-devel) ANDREW — https://fedorahosted.org/arm/ticket/26#preview
OpenSceneGraph-2.8.2-6.fc13.src.rpm,armv5tel c++: Internal error ANDREW — https://fedorahosted.org/arm/ticket/32
libvirt-0.8.2-1.fc13.src.rpm REQUIRES: qemu-img, numactl-devel ANDREW — https://fedorahosted.org/arm/ticket/33
Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s